<div>
    <app-loading *ngIf="isLoadingPage"></app-loading>
    <form nz-form [formGroup]="form" style="margin-top: 20px">

        <div nz-row [nzGutter]="[30,30]">

            <!-- Loại yêu cầu -->
            <div nz-col [nzXs]="8" [nzLg]="8">
                <mb-select
                    [mbDataSelects]="requestTypes"
                    mbLabelText="{{'personalTax.salaryAccountReqs.label.requestType' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholder="{{'personalTax.salaryAccountReqs.label.requestType' | translate}}"
                    [formControlName]="'requestType'"
                    (mbSelect)="onRequestTypeChange($event)"

                    [mbType]="isSubmitted && form.controls['requestType'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['requestType'].errors !== null"
                    [mbErrors]="form.controls['requestType'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.salaryAccountReqs.label.requestType' | translate}}]"
                ></mb-select>
            </div>
            <!--End: Loại yêu cầu -->

            <!-- Nhân viên -->
            <div nz-col [nzXs]="8" [nzLg]="8" class="selectEmployee">
                <employee-data-picker
                    mbLabelText="{{'personalTax.salaryAccountReqs.label.employeeId' | translate}} <span class='label__required'>*</span>"
                    [formControlName]="'employeeId'"
                    (ngModelChange)="selectEmp($event)"
                    [mbCanText]="true"
                    [isRemoveHireOutsideEmpType]="true"
                    [mbType]="isSubmitted && form.controls['employeeId'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['employeeId'].errors !== null"
                    [mbErrors]="form.controls['employeeId'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.salaryAccountReqs.label.employeeId' | translate}}]"
                    [functionCode]="functionCode"
                    [scope]="scope"
                ></employee-data-picker>
            </div>
            <!--End: Nhân viên -->

            <!-- Mã khách hàng -->
            <div nz-col [nzXs]="8" [nzLg]="8">
                <mb-input-text
                    mbLabelText="{{'personalTax.salaryAccountReqs.label.customerAccount' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholderText="{{'personalTax.salaryAccountReqs.label.customerAccount' | translate}}"
                    [formControlName]="'customerAccount'"
                    appNumberInput

                    [mbType]="isSubmitted && form.controls['customerAccount'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['customerAccount'].errors !== null"
                    [mbErrors]="form.controls['customerAccount'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.salaryAccountReqs.label.customerAccount' | translate}}]"
                ></mb-input-text>
            </div>
            <!--End: Mã khách hàng -->
        </div>

        <div nz-row [nzGutter]="[30,30]">

            <!-- Số CMD/CCCD -->
            <div nz-col [nzXs]="8" [nzLg]="8">
                <mb-input-text
                    mbLabelText="{{'personalTax.salaryAccountReqs.label.personalIdNo' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholderText="{{'personalTax.salaryAccountReqs.label.personalIdNo' | translate}}"
                    [formControlName]="'personalIdNo'"
                    [mbMaxLength]="20"
                    [mbType]="isSubmitted && form.controls['personalIdNo'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['personalIdNo'].errors !== null"
                    [mbErrors]="form.controls['personalIdNo'].errors"
                    [mbErrorDefs]="[
                      { errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.salaryAccountReqs.label.personalIdNo' | translate}},
                      { errorName: 'minlength', errorDescription: 'personalTax.validate.salaryAccountReqs.personalIdNo.minLength'| translate: {'param': 'personalTax.salaryAccountReqs.label.personalIdNo' | translate}},
                      { errorName: 'maxlength', errorDescription: 'personalTax.validate.salaryAccountReqs.personalIdNo.maxLengthIdNo'| translate: {'param': 'personalTax.salaryAccountReqs.label.personalIdNo' | translate, 'maxLength': 20}}
                    ]"
                ></mb-input-text>
            </div>
            <!--End: Số CMD/CCCD -->

            <!-- Tài khoản thanh toán -->
            <div nz-col [nzXs]="8" [nzLg]="8">
                <mb-input-text
                    appNumberInput
                    mbLabelText="{{'personalTax.salaryAccountReqs.label.paymentAccount' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholderText="{{'personalTax.salaryAccountReqs.label.paymentAccount' | translate}}"
                    [formControlName]="'paymentAccount'"

                    [mbType]="isSubmitted && form.controls['paymentAccount'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['paymentAccount'].errors !== null"
                    [mbErrors]="form.controls['paymentAccount'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.salaryAccountReqs.label.paymentAccount' | translate}}]"
                ></mb-input-text>
            </div>
            <!--End: Tài khoản thanh toán -->

            <!-- Tài khoản lương -->
            <div nz-col [nzXs]="8" [nzLg]="8" *ngIf="form.controls['requestType'].value === 1">
                <mb-input-text
                    mbLabelText="{{'personalTax.salaryAccountReqs.label.salaryAccount' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholderText="{{'personalTax.salaryAccountReqs.label.salaryAccount' | translate}}"
                    [formControlName]="'salaryAccount'"
                    appNumberInput
                    [mbType]="isSubmitted && form.controls['salaryAccount'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['salaryAccount'].errors !== null"
                    [mbErrors]="form.controls['salaryAccount'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.salaryAccountReqs.label.salaryAccount' | translate}}]"
                ></mb-input-text>
            </div>
            <!--End: Tài khoản lương -->

            <!-- Mã T24 CN/PGD -->
            <div nz-col [nzXs]="8" [nzLg]="8">
                <mb-input-text
                    class="t24Code"
                    mbLabelText="{{'personalTax.salaryAccountReqs.label.t24Code' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholderText="{{'personalTax.salaryAccountReqs.label.t24Code' | translate}}"
                    [formControlName]="'t24Code'"

                    [mbMaxLength]="7"
                    [mbPrefixTemplate]="'VN'"
                    [mbType]="isSubmitted && form.controls['t24Code'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['t24Code'].errors !== null"
                    [mbErrors]="form.controls['t24Code'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.salaryAccountReqs.label.t24Code' | translate}}]"
                ></mb-input-text>
            </div>
            <!--End: Mã T24 CN/PGD -->

        </div>

        <div nz-row [nzGutter]="[30,30]">
            <!-- Ghi chú -->
            <div nz-col [nzXs]="24" [nzLg]="24">
                <mb-input-text
                    [mbIsTextAre]="true"
                    [mbIsTextAreAutoResize]="true"
                    [mbConfig]="{autoSize:true, rows: 1}"
                    [mbMaxLength]="500"
                    [mbLabelText]="'personalTax.salaryAccountReqs.label.note' | translate"
                    mbPlaceholderText="{{'personalTax.salaryAccountReqs.label.note' | translate}}"
                    [formControlName]="'note'"
                ></mb-input-text>
            </div>
            <!--End: Ghi chú -->
        </div>


        <!--Button Lưu lại và Đóng-->
        <div nz-row [nzGutter]="[30,30]">
            <div nz-col nzXs="24" nzLg="24" [ngStyle]="{'text-align': 'right'}">
                <mb-button
                  *ngIf="!isDetail"
                  mbButtonSize='MEDIUM'
                  mbButtonAvailableStyle='CANCEL'
                  (click)="closeModalAdd()"
                  mbButtonText="{{'personalTax.dependentRegisters.cancel' | translate}}"
                ></mb-button>
                <mb-button
                  *ngIf="isDetail"
                  mbButtonSize='MEDIUM'
                  mbButtonAvailableStyle='CANCEL'
                  (click)="closeModalAdd()"
                  mbButtonText="{{'personalTax.dependentRegisters.back' | translate}}"
                ></mb-button>

                <mb-button
                    *ngIf="!isDetail"
                    mbButtonSize='MEDIUM'
                    mbButtonAvailableStyle='PRIMARY'
                    mbButtonText="{{'personalTax.label.createRequest' | translate}}"
                    (click)="onSave('SEND_BROWSE')"
                ></mb-button>

                <mb-button
                  *ngIf="t24AccountReqEdit?.status === 1 && isDetail"
                  mbButtonSize='MEDIUM'
                  mbButtonAvailableStyle='PRIMARY'
                  mbButtonText="{{'personalTax.label.createRequest' | translate}}"
                  (click)="createRequest(t24AccountReqId)"
                ></mb-button>

                <mb-button
                    mbButtonSize="MEDIUM" mbButtonAvailableStyle="PRIMARY"
                    mbButtonText="{{'personalTax.dependentRegisters.save' | translate}}"
                    *ngIf="!isDetail"
                    (click)="onSave()"
                ></mb-button>
            </div>
        </div>
        <!--End: Button Lưu lại và Đóng-->

    </form>
</div>
